org.apache.commons.math.fraction

## Class BigFractionField

- java.lang.Object
- - org.apache.commons.math.fraction.BigFractionField

All Implemented Interfaces:
  Serializable, Field<BigFraction>

    public class BigFractionField
    extends Object
    implements Field<BigFraction>, Serializable

Representation of the fractional numbers without any overflow field.

This class is a singleton.

Since:
  2.0
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $
See Also:
  `Fraction`, Serialized Form

### Nested Class Summary

Nested Classes
`private static class` `BigFractionField.LazyHolder` Holder for the instance.

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier

### Constructor Summary

Constructors
`private` `BigFractionField()` Private constructor for the singleton.

### Method Summary

Methods
`static BigFractionField` `getInstance()` Get the unique instance.
`BigFraction` `getOne()` Get the multiplicative identity of the field.
`BigFraction` `getZero()` Get the additive identity of the field.
`private Object` `readResolve()` Handle deserialization of the singleton.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### BigFractionField

    private BigFractionField()

Private constructor for the singleton.

### Method Detail

#### getInstance

    public static BigFractionField getInstance()

Get the unique instance.

Returns:
  the unique instance

#### getOne

    public BigFraction getOne()

Get the multiplicative identity of the field.

The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

Specified by:
  `getOne` in interface `Field<BigFraction>`
Returns:
  multiplicative identity of the field

#### getZero

    public BigFraction getZero()

Get the additive identity of the field.

The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

Specified by:
  `getZero` in interface `Field<BigFraction>`
Returns:
  additive identity of the field

#### readResolve

    private Object readResolve()

Handle deserialization of the singleton.

Returns:
  the singleton instance